/****
 *
 * Exemplo: Enumeraes
 *
 * Seo: 1.13
 *
 ****/

#include <stdio.h>  /* printf() */
#include <stdlib.h> /* exit()   */

typedef enum  { AZUL, VERDE, PRETO, BRANCO } tCores;
typedef enum  { ALCOOL, GASOLINA, DIESEL } tCombustivel;

typedef struct {
           char         modelo[20];
           double        potencia;
           int          portas;
           tCores       cor;
           tCombustivel combustivel;
        } tAutomovel;

void ExibeCor(tCores cor)
{
      /* Exibe a cor correspondente a cada constante */
      /* da enumerao recebida como parmetro       */
   switch (cor) {
      case AZUL:
         puts("azul");
         break;
      case VERDE:
         puts("verde");
         break;
      case PRETO:
         puts("preta");
         break;
      case BRANCO:
         puts("branca");
         break;
      default:
            /* Aborta o programa se a execuo */
            /* chegar a este ponto             */
         puts("Este programa contm um erro!");
         exit(1);
         break;
   }
}

tCores CorAutomovel(const tAutomovel *carro)
{
   return carro->cor;
}

int main(void)
{
   tAutomovel seuCarro = { "Fusca", 40.0, 2,
                           VERDE, ALCOOL };
   tAutomovel meuCarro = { "Civic Si", 193.0, 2,
                           PRETO, GASOLINA };
   tCores     umaCor;

   printf("Cor do seu carro: ");

      /* Obtm um valor associado a uma */
      /* constante da enumerao tCores */
   umaCor = CorAutomovel(&seuCarro);

      /* Exibe na tela o string associado a */
      /* uma constante da enumerao tCores */
   ExibeCor(umaCor);

   printf("Cor do meu carro: ");

      /* Exibe na tela o string associado a */
      /* uma constante da enumerao tCores */
   ExibeCor(meuCarro.cor);

   return 0;
}

/****************** Resultado do Programa ******************

Cor do seu carro: verde
Cor do meu carro: preta

***********************************************************/
