/****
 *
 * Exemplo: Macro ESCREVE_VALOR
 *
 * Captulo: 2
 * Seo: 2.5.1
 *
 * Demonstra: Uso do operador de concatenao de tokens #
 *
 ****/

#include <stdio.h>

#define ESCREVE_VALOR(x) printf("Valor de " #x " = %f\n", x)

int main(void)
{
   double x = 1.0, y = 2.0, z = 3.0;

   ESCREVE_VALOR(x);
   ESCREVE_VALOR(x*y);
   ESCREVE_VALOR(x + y + z);

   return 0;
}

/****************** Resultado do Programa *****************

Valor de x = 1.000000
Valor de x*y = 2.000000
Valor de x + y + z = 6.000000

**********************************************************/

