/****
 *
 * Exemplo: Recurso de Cauda
 *
 * Seo: 4.4
 *
 * Descrio: Calcula recursivamente o fatorial de um nmero
 *
 ****/

#include <stdio.h> /* printf() */

int Fatorial(int n)
{
   if (n < 0)
      return -1; /* Erro de domnio */

   if (!n)
      return 1; /* Caso terminal */

   return n*Fatorial(n - 1); /* Caso recursivo */
}

int main(void)
{
   printf("\nFatorial(5) = %d\n", Fatorial(5));

   return 0;
}

/****************** Resultado do Programa *****************

Fatorial(5) = 120

**********************************************************/
