#ifndef _Pilha_H_
#define _Pilha_H_

#include "Lista.h"

#define  MAX_ELEMENTOS 20

   /* Tipo de ao */
typedef enum {ACRESCENTA, INSERE, REMOVE, MODIFICA} tAcao;

   /* Tipo de estrutura que armazena informaes */
   /* sobre desfazimento ou refazimento          */
typedef struct {
           tAcao acao;
           tItem item;
           int   posicao;
        } tDesfazRefaz;

   /* Tipo de um elemento de pilha */
typedef tDesfazRefaz tElemento;

typedef struct  {
            tElemento itens[MAX_ELEMENTOS];
            int       topo;
        } tPilha;

extern void CriaPilha(tPilha *p);
extern int PilhaVazia(const tPilha *p);
extern tElemento *ElementoTopo(const tPilha *p);
extern void Empilha(const tElemento *item, tPilha *p);
extern tElemento Desempilha(tPilha *p);

#endif
