#ifndef _Lista_H_
#define _Lista_H_

/***************** Constantes Simblicas ******************/

   /* Nmero mximo de caracteres num nome */
#define MAX_NOME      20
   /* Nmero de caracteres numa matrcula  */
#define TAM_MATR      4

/****************** Definies de Tipos *******************/

   /* Tipo do nome */
typedef char tNome[MAX_NOME + 1];

   /* Tipo da matrcula */
typedef char tMatricula[TAM_MATR + 1];

typedef struct {
           tNome      nome;   /* Nome do aluno */
           tMatricula matr;   /* Sua matrcula */
           double     n1, n2; /* Suas notas    */
        } tAluno;

typedef tAluno tElemento;

typedef struct rotListaIdxD2 *tListaIdxD2;

/******************* Aluses de Funes *******************/

extern tListaIdxD2 CriaListaIdxD2(void);
extern void DestroiListaIdxD2(tListaIdxD2 lista);
extern int ComprimentoListaIdxD2(tListaIdxD2 lista);
extern tElemento ObtemElementoListaIdxD2(tListaIdxD2 lista, int indice);
extern void InsereEmOrdemIdxD2(tListaIdxD2 lista, const tElemento *elemento);
extern tElemento RemoveListaIdxD2(tListaIdxD2 lista, int indice);
extern int EstaVaziaListaIdxD2(tListaIdxD2 lista);
extern int BuscaBinariaListaIdxD2(tListaIdxD2 lista, tNome nomeProcurado);
extern int BuscaSequencialListaIdxD2(tListaIdxD2 lista, tMatricula matrProcurada);

#endif
