#ifndef _Lista_H_
#define _Lista_H_

/******************* Definies de Tipos ******************/

   /* Tipo do contedo de cada n de uma lista encadeada */
typedef int tConteudo;

   /* Tipo de n e tipo de ponteiro para n de uma lista encadeada */
typedef struct rotNoLSEC {
           tConteudo         conteudo;
           struct rotNoLSEC *proximo;
        } tNoSEC, *tListaSEC;

/************************* Aluses ************************/

extern void IniciaListaSEC(tListaSEC *lista);
extern int ComprimentoListaSEC(tListaSEC lista);
extern void InsereEmOrdemLSEC(tListaSEC *lista, tConteudo conteudo);
extern int RemoveListaSEC(tListaSEC *lista, tConteudo conteudo);
extern int EstaVaziaListaSEC(tListaSEC lista);
extern tConteudo *BuscaListaSEC(tListaSEC lista, tConteudo valor);
extern void DestroiListaSEC(tListaSEC *lista);
extern tConteudo *ProximoListaSEC(tListaSEC lista);

#endif
