/****
 *
 * Exemplo: Enumeraes
 *
 * Seo: 1.13
 *
 * Descrio: Indexando um arry usando enumerao
 *
 ****/

#include <stdio.h>

typedef enum  { JAN, FEV, MAR, ABR, MAI, JUN, JUL, AGO,
                SET, OTU, NOV, DEZ } tMeses;

int main(void)
{
   tMeses      mes;
   const char *nomeMes[] = { "Janeiro", "Fevereiro", "Marco",
                             "Abril", "Maio", "Junho", "Julho",
                             "Agosto", "Setembro", "Outubro",
                             "Novembro", "Dezembro" };

   for (mes = JAN; mes <= DEZ; mes++) {
      printf("%2.2d - %s\n", mes + 1, nomeMes[mes]);
   }

   return 0;
}

/****************** Resultado do Programa ******************

01 - Janeiro
02 - Fevereiro
03 - Marco
04 - Abril
05 - Maio
06 - Junho
07 - Julho
08 - Agosto
09 - Setembro
10 - Outubro
11 - Novembro
12 - Dezembro

***********************************************************/
