/****
 *
 * Exemplo: Esvaziamento do Buffer de Entrada
 *
 * Seo: 2.2
 *
 ****/

#include <stdio.h>

int LimpaBuffer(void)
{
   int carLido, /* Armazena cada caractere lido */
       nCarLidos = 0; /* Conta o nmero de */
                      /* caracteres lidos  */

      /* L e descarta cada caractere lido at    */
      /* encontrar '\n' ou getchar() retornar EOF */
   do {
      carLido = getchar(); /* L um caractere */
      ++nCarLidos; /* Mais um caractere foi lido */
   } while ((carLido != '\n') && (carLido != EOF));

      /* O ltimo caractere lido foi '\n' ou  */
      /* EOF e no deve ser considerado sobra */
   return nCarLidos - 1;
}

int main(void)
{
   int umChar;

   printf("\nDigite um caractere: ");
   umChar = getchar();

      /* Verifica se foi lido algum caractere */
      /* e, se for o caso, limpa o buffer     */
   if (umChar !=  EOF) {
      (void) LimpaBuffer();
   }

   printf("\nDigite outro caractere: ");
   umChar = getchar();

   return 0;
}

/******************* Exemplo de Execuo ******************

Digite um caractere: A

Digite outro caractere: B

**********************************************************/
