/****
 *
 * Exemplo: Macro ATRIBUI
 *
 * Captulo: 2
 * Seo: 2.5.1
 *
 * Demonstra: O uso de macro tendo um tipo como argumento.
 *
 ****/

#include <stdio.h>

#define ATRIBUI(a, b) do {a = 5; b = -5;} while (0)

int main(void)
{
   int    i, j;

   ATRIBUI(i, j);

   printf("\ni = %d\nj = %d\n", i, j);

   return 0;
}

/****************** Resultado do Programa *****************

i = 5
j = -5

**********************************************************/

