/****
 *
 * Ttulo: Um Mdulo para Leitura de Dados Robusta
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/04/2014
 * ltima modificao: 16/04/2014
 *
 * Descrio: Testa funes para leitura de dados robusta
 *
 * Entrada: Valores inteiros e um valor real
 *
 * Sada: Os valores lidos
 *
 ****/

#include <stdio.h>
#include "leitura1.h"

/****
 *
 * main(): Testa mdulo para leitura de dados robusta
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int    umInteiro, umNaturalPos;
   double umReal;

      /* L um valor inteiro */
   printf("\nDigite um valor inteiro: ");
   umInteiro = LeInteiro();

      /* L um valor natural positivo */
   printf("\nDigite um valor inteiro positivo: ");
   umNaturalPos = LeNaturalPositivo();

      /* L um valor real */
   printf("\nDigite um valor real: ");
   umReal = LeReal();

   printf( "\n\t>>> Valores lidos: %d\t%d\t%3.2f\n",
           umInteiro, umNaturalPos, umReal );

   return 0;
}

/******************* Exemplo de Execuo ******************

Digite um valor inteiro: 2x
        >>> Um caractere foi descartado

Digite um valor inteiro positivo: -2

        >>> O valor digitado e' invalido. Tente novamente
        > 0

        >>> O valor digitado e' invalido. Tente novamente
        > 2

Digite um valor real: 2.54

        >>> Valores lidos: 2    2       2.54

**********************************************************/
