/****
 *
 * Exemplo: Uso de sizeof com arrays
 *
 * Seo: 3.1
 *
 ****/

#include <stdio.h>

int main(void)
{
   int    ar[] = {-1, 2, -2, 7, -5};
   size_t tamanhoArray, tamanhoElemento, nElementos;

   tamanhoArray = sizeof(ar);

   tamanhoElemento = sizeof(ar[0]);

   nElementos = tamanhoArray/tamanhoElemento;

   printf("\n>>> Bytes ocupados pelo array: %d\n", tamanhoArray);

   printf("\n>>> Bytes ocupados por um elemento do array: %d\n",
           tamanhoElemento);

   printf("\n>>> Numero de elementos do array: %d\n", nElementos);

   return 0;
}

/****************** Resultado do Programa ******************

>>> Bytes ocupados pelo array: 20

>>> Bytes ocupados por um elemento do array: 4

>>> Numero de elementos do array: 5

***********************************************************/
