/****
 *
 * Exemplo: Recurso de Cauda
 *
 * Seo: 4.4
 *
 * Descrio: Calcula recursivamente o fatorial de um nmero
 *
 ****/

#include <stdio.h>

int Fatorial(int n)
{
   int i, fat = 1;

   if (n < 0)
      return -1; /* Erro de domnio */

   for (i = 1; i <= n; ++i)
      fat *= i;

   return fat;
}

int main(void)
{
   printf("\nFatorial(5) = %d\n", Fatorial(5));

   return 0;
}

/****************** Resultado do Programa *****************

Fatorial(5) = 120

**********************************************************/
