/****
 *
 * Ttulo: Invertendo Entradas 1
 *
 * Autor: Ulysses de Oliveira
 *
 * Data de Criao: 16/04/2015
 * ltima modificao: 16/04/2015
 *
 * Descrio: Inverte os caracteres digitados pelo usurio usando recurso
 *
 * Entrada: Um string introduzido pelo usurio
 *
 * Sada: O string invertido
 *
 ****/

#include <stdio.h> /* Entrada e Sada */

/****
 *
 * Inverte(): Inverte caracteres introduzidos pelo usurio
 *            no meio de entrada padro
 *
 * Parmetros: Nenhum
 *
 * Retorno: Nada
 *
 ****/
void Inverte(void)
{
   int c;

   if ((c = getchar()) != '\n')
      Inverte(); /* Caso recursivo */

   putchar(c); /* Caso terminal */
}

/****
 *
 * main(): Inverte os caracteres digitados pelo usurio
 *         usando recurso
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main (void)
{
   printf( "\n>>> Digite uma sequencia de caracteres "
           "\n>>> para o programa inverter: " );

   Inverte();

   return 0;
}

/******************* Exemplo de Execuo ******************

>>> Digite uma sequencia de caracteres
>>> para o programa inverter: Roma

amoR

**********************************************************/

