#ifndef _Lista_H_
#define _Lista_H_

/***************** Constantes Simblicas ******************/

   /* Nmero mximo de elementos numa lista */
#define MAX_ELEMENTOS 20

/****************** Definies de Tipos *******************/

typedef int tElemento;

typedef struct {
           int       nElementos; /* Nmero de elementos */
           tElemento elementos[MAX_ELEMENTOS]; /* Os elementos */
        } tListaIdx;

/******************* Aluses de Funes *******************/

extern void IniciaLista(tListaIdx *lista);
extern int Comprimento(const tListaIdx *lista);
extern tElemento ObtemElemento(const tListaIdx *lista, int indice);
extern int InsereElemento(tListaIdx *lista, tElemento item, int indice);
extern tElemento RemoveElemento(tListaIdx *lista, int indice);
extern int EstaVazia(const tListaIdx *lista);
extern int BuscaElemento(const tListaIdx *lista, tElemento elemento);
extern int AcrescentaElemento(tListaIdx *lista, tElemento elemento);
extern int AlteraElemento(tListaIdx *lista, int indice, tElemento novoValor);

extern void RemoveDuplicatas(tListaIdx *lista);

#endif
