/****
 *
 * Exemplo: A Partio de Memria Heap
 *
 * Seo: 9.4
 *
 ****/

#include <stdio.h>
#include <stdlib.h>

#define MEGABYTE 1048576

/****
 *
 * main(): Aloca blocos de 1MB sucessivamente at esgotar a
 *         capacidade do heap. O nmero de blocos alocados 
 *         contado com o objetivo de determinar a capacidade
 *         aproximada do heap em MB.
 *
 * Parmetros: Nenhum
 *
 * Retorno: Zero
 *
 ****/
int main(void)
{
   int MB = 0; /* Conta o nmero de megabytes alocados */

      /*                                                      */
      /* Enquanto for possvel, aloca blocos de 1MB.          */
      /* Idealmente, dever-se-iam alocar blocos de 1  byte,   */
      /* mas, assim, levaria muito tempo para esgotar o heap. */
      /*                                                      */
   while (malloc(MEGABYTE)) {
      ++MB;
   }

   printf("\nForam alocados %d MB\n", MB);

   return 0;
}

/******************* Exemplo de Execuo ******************

Foram alocados 1919 MB

**********************************************************/
