/******
 *
 * Arquivo Pilha.h: Interface do mdulo Pilha
 *
 *****/

#ifndef _Pilha_H_
#define _Pilha_H_

#include "Arvore.h" /* Tipo tArvoreBin */

/****************** Definies de Tipos *******************/

typedef tArvoreBin tElemento;

typedef struct rotPilha *tPilha;

/******************* Aluses de Funes *******************/

extern void CriaPilha(tPilha *p);
extern void DestroiPilha(tPilha *pilha);
extern int PilhaVazia(const tPilha *p);
extern tElemento ElementoTopo(const tPilha *p);
extern void Empilha(tPilha *p, const tElemento *item);
extern tElemento Desempilha(tPilha *p);

#endif
